1. Usage
Deepgram
  • Projects
    • Analyze Text
      POST
    • Get Projects
      GET
    • Update Project
      PATCH
    • Delete Project
      DELETE
  • Keys
    • Get Keys
      GET
    • Get Key
      GET
    • Create Key
      POST
    • Delete Key
      DELETE
  • Members
    • Get Members
      GET
    • Remove Member
      DELETE
  • Scopes
    • Get Member Scopes
      GET
    • Update Scope
      PUT
  • invitations
    • Get Invites
      GET
    • Send Invite
      POST
    • Delete Invite
      DELETE
    • Leave Project
      DELETE
  • Usage
    • Get All Requests
      GET
    • Get Request
      GET
    • Summarize Usage
      GET
    • Get Fields
      GET
  • Billing
    • Get Balances
      GET
    • Get Balance
      GET
  • Transcribe & Analyze - Local file
    POST
  • Transcribe & Analyze - Remote file
    POST
  • Transform Text-to-Speech - REST
    POST
  1. Usage

Get Request

Develop Env
https://dev.your-api-server.com
Develop Env
https://dev.your-api-server.com
GET
/v1/projects/{project_id}/requests/{request_id}

Request

Path Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://dev.your-api-server.com/v1/projects//requests/'
Response Response Example
{
  "request_id": "uuid",
  "created": "YYYY-MM-DDThh:mm:ss.sTZD",
  "path": "string",
  "api_key_id": "uuid",
  "response": {
    "details": {
      "usd": 0,
      "duration": 0,
      "total_audio": 0,
      "channels": 0,
      "streams": 0,
      "models": [
        "string"
      ],
      "method": "string",
      "tags": [
        "string"
      ],
      "features": [
        "string"
      ],
      "config": {
        "alternatives": 0,
        "callback": "string",
        "diarize": true,
        "keywords": [
          "string"
        ],
        "language": "string",
        "model": "string",
        "multichannel": true,
        "ner": true,
        "numerals": true,
        "profanity_filter": true,
        "punctuate": true,
        "redact": [
          "string"
        ],
        "search": [
          "string"
        ],
        "utterances": true
      }
    },
    "code": 0,
    "completed": "YYYY-MM-DDThh:mm:ss.sTZD"
  },
  "callback": {
    "attempts": 0,
    "code": 0,
    "completed": "YYYY-MM-DDThh:mm:ss.sTZD"
  }
}
Modified at 2024-07-29 06:35:43
Previous
Get All Requests
Next
Summarize Usage
Built with